Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_DynArray_i Class Reference

`#include <DynArray_i.h>`

Inheritance diagram for TAO_DynArray_i:

[legend]
Collaboration diagram for TAO_DynArray_i:

[legend]
List of all members.

## Public Methods
| TAO_DynArray_i (void)
| ~TAO_DynArray_i (void)
void | init (CORBA_TypeCode_ptr tc ACE_ENV_ARG_DECL)
void | init (const CORBA_Any &any ACE_ENV_ARG_DECL)
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual DynamicAny::AnySeq * | get_elements (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | set_elements (const DynamicAny::AnySeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual DynamicAny::DynAnySeq * | get_elements_as_dyn_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | set_elements_as_dyn_any (const DynamicAny::DynAnySeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | from_any (const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Any * | to_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::Boolean | equal (DynamicAny::DynAny_ptr dyn_any ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual DynamicAny::DynAny_ptr | current_component (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
## Static Public Methods
TAO_DynArray_i * | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
## Private Methods
CORBA::TypeCode_ptr | get_element_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
CORBA::ULong | get_tc_length (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL_WITH_DEFAULTS)
void | init_common (void)
| TAO_DynArray_i (const TAO_DynArray_i &src)
TAO_DynArray_i & | operator= (const TAO_DynArray_i &src)
## Private Attributes
ACE_Array_Base< DynamicAny::DynAny_var > | da_members_

## Constructor & Destructor Documentation

TAO_DynArray_i::TAO_DynArray_i | ( | void |  | ) |

TAO_DynArray_i::~TAO_DynArray_i | ( | void |  | ) |

TAO_DynArray_i::TAO_DynArray_i | ( | const TAO_DynArray_i & | src | ) | `[private]`

## Member Function Documentation

TAO_DynArray_i * TAO_DynArray_i::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

| Reimplemented from DynamicAny::DynArray.

void * TAO_DynArray_i::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from DynamicAny::DynArray.

DynamicAny::DynAny_ptr TAO_DynArray_i::current_component | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynArray_i::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

virtual CORBA::Boolean TAO_DynArray_i::equal | ( | DynamicAny::DynAny_ptr dyn_any | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

virtual void TAO_DynArray_i::from_any | ( | const CORBA::Any &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

CORBA::TypeCode_ptr TAO_DynArray_i::get_element_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[private]`

DynamicAny::AnySeq * TAO_DynArray_i::get_elements | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynArray.

DynamicAny::DynAnySeq * TAO_DynArray_i::get_elements_as_dyn_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynArray.

CORBA::ULong TAO_DynArray_i::get_tc_length | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | `[private]`

void TAO_DynArray_i::init | ( | const CORBA_Any &any | ACE_ENV_ARG_DECL | ) |

void TAO_DynArray_i::init | ( | CORBA_TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) |

void TAO_DynArray_i::init_common | ( | void |  | ) | `[private]`

TAO_DynArray_i& TAO_DynArray_i::operator= | ( | const TAO_DynArray_i & | src | ) | `[private]`

void TAO_DynArray_i::set_elements | ( | const DynamicAny::AnySeq &value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynArray.

virtual void TAO_DynArray_i::set_elements_as_dyn_any | ( | const DynamicAny::DynAnySeq &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynArray.

CORBA::Any_ptr TAO_DynArray_i::to_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

## Member Data Documentation

ACE_Array_Base<DynamicAny::DynAny_var> TAO_DynArray_i::da_members_`[private]`

The documentation for this class was generated from the following files:

- DynArray_i.h
- DynArray_i.cpp